Bug 708471 - [abrt] Zim-0.52-1.fc14: pageview.py:4270:save_uistate:TypeError: could not parse subscript as a tree path
[abrt] Zim-0.52-1.fc14: pageview.py:4270:save_uistate:TypeError: could not pa...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Zim (Show other bugs)
14
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Robin Lee
Fedora Extras Quality Assurance
abrt_hash:1244f118
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-05-27 14:34 EDT by Dale Snell
Modified: 2011-09-28 23:42 EDT (History)
4 users (show)

See Also:
Fixed In Version: Zim-0.53-1.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-09-28 21:34:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: backtrace (616 bytes, text/plain)
2011-05-27 14:34 EDT, Dale Snell
no flags Details

  None (edit)
Description Dale Snell 2011-05-27 14:34:41 EDT
abrt version: 1.1.18
architecture: x86_64
cmdline: /usr/bin/python /usr/bin/zim
comment: My fingers have been hardwired to use Emacs command sequences for too many years, and I automatically hit <ctrl-a> to go to the left margin.  This brought up the Calendar plugin dialog.  No problem, I thought, just hit "Cancel" in the dialog box.  That's when the program crashed.  It should not crash when "Cancel" is clicked.  Bad plugin, bad, bad.  No biscuit.  I couldn't get rid of the dialog box (the X Close button in the window fram did nothing), so I used the (Gnome?) Force Quit applet to kill it.  Happily, when I restarted Zim there was no data loss.  
component: Zim
executable: /usr/bin/zim
kernel: 2.6.35.13-91.fc14.x86_64
package: Zim-0.52-1.fc14
reason: pageview.py:4270:save_uistate:TypeError: could not parse subscript as a tree path
release: Fedora release 14 (Laughlin)
time: 1306520283
uid: 500

backtrace
-----
pageview.py:4270:save_uistate:TypeError: could not parse subscript as a tree path

Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/zim/gui/widgets.py", line 1929, in do_response
    self.save_uistate()
  File "/usr/lib/python2.7/site-packages/zim/gui/pageview.py", line 4270, in save_uistate
    format = model[iter][self.FORMAT_COL]
TypeError: could not parse subscript as a tree path

Local variables in innermost frame:
model: <gtk.ListStore object at 0x2b18960 (GtkListStore at 0x2bfca30)>
self: <InsertDateDialog object at 0x2b186e0 (zim+gui+widgets+Dialog at 0x2cfd020)>
iter: None

How to reproduce
-----
1.  Enter an external hyperlink in a Zim page. 
2.  Type <ctrl-a>, which brings up the Calendar dialog box
3.  Click on "Cancel".  Boom.
Comment 1 Dale Snell 2011-05-27 14:34:43 EDT
Created attachment 501364 [details]
File: backtrace
Comment 2 Niranjan Mallapadi Raghavender 2011-07-19 11:01:13 EDT
Package: Zim-0.52-1.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.When trying to add Date , it crashes
2.
3.
Comment 3 Fedora Update System 2011-09-20 01:28:19 EDT
Zim-0.53-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/Zim-0.53-1.fc14
Comment 4 Fedora Update System 2011-09-20 19:57:20 EDT
Package Zim-0.53-1.fc14:
* should fix your issue,
* was pushed to the Fedora 14 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing Zim-0.53-1.fc14'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/Zim-0.53-1.fc14
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2011-09-28 21:34:47 EDT
Zim-0.53-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Niranjan Mallapadi Raghavender 2011-09-28 23:42:17 EDT
Thanks a lot for fixing this.

Note You need to log in before you can comment on or make changes to this bug.